summaryrefslogtreecommitdiffstats
path: root/desktop/notion
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/notion')
-rw-r--r--desktop/notion/README20
-rw-r--r--desktop/notion/notion.SlackBuild105
-rw-r--r--desktop/notion/notion.info10
-rw-r--r--desktop/notion/slack-desc19
4 files changed, 154 insertions, 0 deletions
diff --git a/desktop/notion/README b/desktop/notion/README
new file mode 100644
index 0000000000..3d7423564f
--- /dev/null
+++ b/desktop/notion/README
@@ -0,0 +1,20 @@
+Notion is a tiling, tabbed window manager for the X window system:
+* Tiling: you divide the screen into non-overlapping 'tiles'.
+ Every window occupies one tile, and is maximized to it
+* Tabbing: a tile may contain multiple windows - they will be 'tabbed'
+* Static: most tiled window managers are 'dynamic',
+ meaning they automatically resize and move around tiles as windows
+ appear and disappear. Notion, by contrast, does not automatically
+ change the tiling. You're in control.
+
+Features include:
+
+* Workspaces: each workspace has its own tiling.
+* Multihead: the mod_xinerama plugin provides very nice dual-monitor
+ support.
+* RandR: mod_xrandr expands on mod_xinerama and picks up changes in
+ the randr configuration without the need for restarting Notion
+* Extensibility: Notion can be extended with lua scripts.
+
+NOTE: to launch it at X start just put 'exec notion' in a ~/.xinitrc
+file.
diff --git a/desktop/notion/notion.SlackBuild b/desktop/notion/notion.SlackBuild
new file mode 100644
index 0000000000..1ef947ecf3
--- /dev/null
+++ b/desktop/notion/notion.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for notion
+
+# Copyright 2013 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=notion
+VERSION=${VERSION:-3_2014010505}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+SRCVER=$(echo $VERSION | tr _ - )
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRCVER-src.tar.gz
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make \
+ OPTS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ ETCDIR=/etc/$PRGNAM \
+ LIBDIR=/usr/lib$LIBDIRSUFFIX \
+ MANDIR=/usr/man \
+ DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ X11INC=/usr/include \
+ X11LIB=/usr/lib${LIBDIRSUFFIX}/X11
+
+make install \
+ OPTS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ ETCDIR=/etc/$PRGNAM \
+ LIBDIR=/usr/lib$LIBDIRSUFFIX \
+ MANDIR=/usr/man \
+ DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ X11INC=/usr/include \
+ X11LIB=/usr/lib${LIBDIRSUFFIX}/X11 \
+ DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/notion/notion.info b/desktop/notion/notion.info
new file mode 100644
index 0000000000..197afd2a5d
--- /dev/null
+++ b/desktop/notion/notion.info
@@ -0,0 +1,10 @@
+PRGNAM="notion"
+VERSION="3_2014010505"
+HOMEPAGE="http://notion.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/notion/notion-3-2014010505-src.tar.gz"
+MD5SUM="3da7ef931f12c7692e307b5aaf6b8058"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/desktop/notion/slack-desc b/desktop/notion/slack-desc
new file mode 100644
index 0000000000..466e57e01d
--- /dev/null
+++ b/desktop/notion/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+notion: notion (tiling tabbed window manager)
+notion:
+notion: Tiling: you divide the screen into non-overlapping tiles.
+notion: Every window occupies one tile, and is maximized to it
+notion: Tabbing: a tile may contain multiple windows - they will be 'tabbed'.
+notion: Static: most tiled window managers are 'dynamic', meaning they
+notion: automatically resize and move around tiles as windows appear and
+notion: disappear. Notion, by contrast, does not automatically
+notion: change the tiling. You're in control.
+notion:
+notion: homepage: http://notion.sourceforge.net